var ajaxInProgress;
var responseData;

function sendGetRequest(urlWithParams) {
    if (!Sarissa) {
        alert("Could not load Sarissa package!");
        return;
    }

    if (ajaxInProgress) {
        return;
    }

    var request = new XMLHttpRequest();
    
    request.onreadystatechange = function() {
        if (request.readyState == 4) {
            if (request.status == 200) {
                responseData = request.responseText;
    	        ajaxInProgress = false;
		        
            } else {
                //alert("Transmission error! " + request.status);
            }
        }
    };

    request.open("GET", urlWithParams, true); // third param -> asynchronous transmission

    ajaxInProgress = true;
    responseData = "n_a";
    try {
        request.send(null);
    } catch (e) {
        alert(e.description);
        return "NOK";
    }

    return "OK";
}

function getResponseIfReady() {
    if (!ajaxInProgress) {
        return responseData;
    } else {
        return "waiting";
    }
}

function resetTransmissionState() {
    ajaxInProgress = false;
}